Loading...
Searching...
No Matches
Dynamic node
Grammar nodes

A node built dynamically at parse time by a callback. More...

Collaboration diagram for Dynamic node:

## Typedefs

typedef struct ec_node *(* | ec_node_dynamic_build_t) (struct ec_pnode *pstate, void *opaque)
| Callback invoked by parse() or complete() to build the dynamic node.

## Functions

struct ec_node * | ec_node_dynamic (const char *id, ec_node_dynamic_build_t build, void *opaque)
| Dynamic node where parsing/validation is done in a user-provided callback.

## Detailed Description

A node built dynamically at parse time by a callback.

Configuration Schema

No configuration schema.

## Typedef Documentation

## ec_node_dynamic_build_t

typedef struct ec_node *(* ec_node_dynamic_build_t) (struct ec_pnode *pstate, void *opaque)

Callback invoked by parse() or complete() to build the dynamic node.

The behavior of the node can depend on what is already parsed.

Definition at line 1 of file node_dynamic.h.